Package org.eclipse.emf.cdo.transaction

# Class CDOPushTransaction

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.emf.cdo.transaction.CDOPushTransaction

All Implemented Interfaces:
  `AutoCloseable`, `IAdaptable`, `CDOBranchPoint`, `CDOBranchProvider`, `CDOCommonTransaction`, `CDOCommonView`, `CDOChangeSetDataProvider`, `CDOCommitHistory.Provider<CDOObject,CDOObjectHistory>`, `CDORevisionProvider`, `CDOTimeProvider`, `CDORollbackable`, `CDOTransaction`, `CDOUserTransaction`, `CDOUpdatable`, `CDOView`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.container.IContainer<CDOResourceNode>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.properties.IPropertiesContainer`

@Deprecated public class CDOPushTransaction extends org.eclipse.net4j.util.event.Notifier implements CDOTransaction
Deprecated.
As of 4.30, use `CDOFileTransaction`.
A `transaction` that persists changes to the object graph locally on commit and can later load these changes and push them to the `repository`.

Since:
  3.0
Author:
  Eike Stepper
No Extend
  This interface is not intended to be extended by clients.
No Instantiate
  This class is not intended to be instantiated by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`org.eclipse.net4j.util.event.Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOTransaction

`CDOTransaction.CommitResult<T>, CDOTransaction.Options`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

`INVALID_DATE, UNSPECIFIED_DATE`

### Fields inherited from interface org.eclipse.emf.cdo.util.CDOUpdatable

`NO_TIMEOUT`

### Fields inherited from interface org.eclipse.emf.cdo.view.CDOView

`PROP_LIFECYCLE_EXCEPTION_HANDLER, PROP_TIME_MACHINE_DISABLED`

## Constructor Summary

Constructors
Constructor
Description
`CDOPushTransaction(CDOTransaction delegate)`
Deprecated.
`CDOPushTransaction(CDOTransaction delegate, File file)`
Deprecated.
`CDOPushTransaction(CDOTransaction delegate, File file, boolean reconstructSavepoints)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(org.eclipse.net4j.util.event.IListener listener)`
Deprecated.
`void`
`addObjectHandler(CDOObjectHandler handler)`
Deprecated.
`void`
`addRegistrationHandler(CDORegistrationHandler handler)`
Deprecated.
`void`
`addTransactionHandler(CDOTransactionHandlerBase handler)`
Deprecated.
`void`
`close()`
Deprecated.
`CDOCommitInfo`
`commit()`
Deprecated.
`CDOCommitInfo`
`commit(Runnable runnable, int attempts, IProgressMonitor monitor)`
Deprecated.
`CDOCommitInfo`
`commit(Runnable runnable, Predicate<Long> retry, IProgressMonitor monitor)`
Deprecated.
`CDOCommitInfo`
`commit(Runnable runnable, org.eclipse.net4j.util.Predicate<Long> retry, IProgressMonitor monitor)`
Deprecated.
`<T> CDOTransaction.CommitResult<T>`
`commit(Callable<T> callable, int attempts, IProgressMonitor monitor)`
Deprecated.
`<T> CDOTransaction.CommitResult<T>`
`commit(Callable<T> callable, Predicate<Long> retry, IProgressMonitor monitor)`
Deprecated.
`<T> CDOTransaction.CommitResult<T>`
`commit(Callable<T> callable, org.eclipse.net4j.util.Predicate<Long> retry, IProgressMonitor monitor)`
Deprecated.
`CDOCommitInfo`
`commit(IProgressMonitor monitor)`
Deprecated.
`CDOCommitInfo`
`commitAndClose(IProgressMonitor monitor, boolean keepOpenAfterCommitProblem)`
Deprecated.
`CDOChangeSetData`
`compareRevisions(CDOBranchPoint source)`
Deprecated.
`CDOBinaryResource`
`createBinaryResource(String path)`
Deprecated.
`CDOQuery`
`createQuery(String language, String queryString)`
Deprecated.
`CDOQuery`
`createQuery(String language, String queryString, boolean considerDirtyState)`
Deprecated.
`CDOQuery`
`createQuery(String language, String queryString, Object context)`
Deprecated.
`CDOQuery`
`createQuery(String language, String queryString, Object context, boolean considerDirtyState)`
Deprecated.
`CDOResource`
`createResource(String path)`
Deprecated.
`CDOResourceFolder`
`createResourceFolder(String path)`
Deprecated.
`URI`
`createResourceURI(String path)`
Deprecated.
`static File`
`createTempFile(CDOTransaction transaction)`
Deprecated.
`CDOTextResource`
`createTextResource(String path)`
Deprecated.
`void`
`disableDurableLocking(boolean releaseLocks)`
Deprecated.
`String`
`enableDurableLocking()`
Deprecated.
`String`
`enableDurableLocking(boolean enable)`
Deprecated.
Use `enableDurableLocking()` instead or `disableDurableLocking(boolean)`, respectively.
`CDOSavepoint[]`
`exportChanges(OutputStream out)`
Deprecated.
`Object`
`getAdapter(Class adapter)`
Deprecated.
`CDOBinaryResource`
`getBinaryResource(String path)`
Deprecated.
`CDOBranch`
`getBranch()`
Deprecated.
`CDOChangeSetData`
`getChangeSetData()`
Deprecated.
`String`
`getCommitComment()`
Deprecated.
`String`
`getCommitProperty(String key)`
Deprecated.
`Set<? extends EObject>`
`getCommittables()`
Deprecated.
`Set<CDOObject>`
`getConflicts()`
Deprecated.
`CDOTransaction`
`getDelegate()`
Deprecated.
`Map<CDOID,CDOObject>`
`getDetachedObjects()`
Deprecated.
`Map<CDOID,CDOObject>`
`getDirtyObjects()`
Deprecated.
`String`
`getDurableLockingID()`
Deprecated.
`CDOResourceNode[]`
`getElements()`
Deprecated.
`File`
`getFile()`
Deprecated.
`CDOSavepoint`
`getFirstSavepoint()`
Deprecated.
`CDOCommitHistory`
`getHistory()`
Deprecated.
`CDOObjectHistory`
`getHistory(CDOObject object)`
Deprecated.
`CDOTransactionScope`
`getInnermostScope()`
Deprecated.
`long`
`getLastCommitTime()`
Deprecated.
`CDOSavepoint`
`getLastSavepoint()`
Deprecated.
`long`
`getLastUpdateTime()`
Deprecated.
`org.eclipse.net4j.util.event.IListener[]`
`getListeners()`
Deprecated.
`CDOLockOwner`
`getLockOwner()`
Deprecated.
`CDOLockState[]`
`getLockStates(Collection<CDOID> ids)`
Deprecated.
`CDOLockState[]`
`getLockStates(Collection<CDOID> ids, boolean loadOnDemand)`
Deprecated.
`CDOLockState[]`
`getLockStatesOfObjects(Collection<? extends CDOObject> objects)`
Deprecated.
`Map<CDOID,CDOObject>`
`getNewObjects()`
Deprecated.
`CDOObject`
`getObject(CDOID id)`
Deprecated.
`CDOObject`
`getObject(CDOID id, boolean loadOnDemand)`
Deprecated.
`<T extends EObject>
T`
`getObject(T objectFromDifferentView)`
Deprecated.
`CDOObjectHandler[]`
`getObjectHandlers()`
Deprecated.
`Map<CDOID,CDOObject>`
`getObjects(Collection<CDOID> ids)`
Deprecated.
`CDOBinaryResource`
`getOrCreateBinaryResource(String path)`
Deprecated.
`CDOResource`
`getOrCreateResource(String path)`
Deprecated.
`CDOResourceFolder`
`getOrCreateResourceFolder(String path)`
Deprecated.
`CDOTextResource`
`getOrCreateTextResource(String path)`
Deprecated.
`CDOTransactionScope`
`getOutermostScope()`
Deprecated.
`CDOViewProvider`
`getProvider()`
Deprecated.
`CDORegistrationHandler[]`
`getRegistrationHandlers()`
Deprecated.
`CDOResource`
`getResource(String path)`
Deprecated.
`CDOResource`
`getResource(String path, boolean loadOnDemand)`
Deprecated.
`CDOResourceFolder`
`getResourceFolder(String path)`
Deprecated.
`CDOResourceNode`
`getResourceNode(String path)`
Deprecated.
`ResourceSet`
`getResourceSet()`
Deprecated.
`CDORevision`
`getRevision(CDOID id)`
Deprecated.
`Map<CDOID,CDORevisionDelta>`
`getRevisionDeltas()`
Deprecated.
`CDOResource`
`getRootResource()`
Deprecated.
`List<CDOTransactionScope>`
`getScopes()`
Deprecated.
`CDOSession`
`getSession()`
Deprecated.
`int`
`getSessionID()`
Deprecated.
`CDOTextResource`
`getTextResource(String path)`
Deprecated.
`long`
`getTimeStamp()`
Deprecated.
`CDOTransactionHandler[]`
`getTransactionHandlers()`
Deprecated.
`CDOTransactionHandler1[]`
`getTransactionHandlers1()`
Deprecated.
`CDOTransactionHandler2[]`
`getTransactionHandlers2()`
Deprecated.
`CDOUnitManager`
`getUnitManager()`
Deprecated.
`URI`
`getURI()`
Deprecated.
`URIHandler`
`getURIHandler()`
Deprecated.
`int`
`getViewID()`
Deprecated.
`Lock`
`getViewLock()`
Deprecated.
`CDOViewSet`
`getViewSet()`
Deprecated.
`boolean`
`hasConflict()`
Deprecated.
`boolean`
`hasListeners()`
Deprecated.
`boolean`
`hasResource(String path)`
Deprecated.
`CDOSavepoint[]`
`importChanges(InputStream in, boolean reconstructSavepoints)`
Deprecated.
`boolean`
`isClosed()`
Deprecated.
`boolean`
`isDirty()`
Deprecated.
`boolean`
`isDurableView()`
Deprecated.
`boolean`
`isEmpty()`
Deprecated.
`boolean`
`isHistorical()`
Deprecated.
`boolean`
`isInvalidating()`
Deprecated.
`boolean`
`isInvalidationRunnerActive()`
Deprecated.
`boolean`
`isLegacyModeEnabled()`
Deprecated.
`boolean`
`isObjectRegistered(CDOID id)`
Deprecated.
`boolean`
`isReadOnly()`
Deprecated.
`void`
`lockObjects(Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, long timeout)`
Deprecated.
`void`
`lockObjects(Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, long timeout, boolean recursive)`
Deprecated.
`CDOChangeSetData`
`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDOMerger merger)`
Deprecated.
`CDOChangeSetData`
`merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOMerger merger)`
Deprecated.
`CDOChangeSetData`
`merge(CDOBranchPoint source, CDOMerger merger)`
Deprecated.
`CDOChangeSetData`
`merge(CDOBranch source, CDOMerger merger)`
Deprecated.
`CDOTransactionScope`
`openScope()`
Deprecated.
`CDOTransaction.Options`
`options()`
Deprecated.
`final org.eclipse.net4j.util.registry.IRegistry<String,Object>`
`properties()`
Deprecated.
`void`
`push()`
Deprecated.
`void`
`push(IProgressMonitor progressMonitor)`
Deprecated.
`<T extends EObject>
List<T>`
`queryInstances(EClass type)`
Deprecated.
`<T extends EObject>
org.eclipse.net4j.util.collection.CloseableIterator<T>`
`queryInstancesAsync(EClass type)`
Deprecated.
`<T extends EObject>
org.eclipse.net4j.util.collection.CloseableIterator<T>`
`queryInstancesAsync(EClass type, boolean exact)`
Deprecated.
`List<CDOResourceNode>`
`queryResources(CDOResourceFolder folder, String name, boolean exactMatch)`
Deprecated.
`org.eclipse.net4j.util.collection.CloseableIterator<CDOResourceNode>`
`queryResourcesAsync(CDOResourceFolder folder, String name, boolean exactMatch)`
Deprecated.
`List<CDOObjectReference>`
`queryXRefs(Set<CDOObject> targetObjects, EReference... sourceReferences)`
Deprecated.
`List<CDOObjectReference>`
`queryXRefs(CDOObject targetObject, EReference... sourceReferences)`
Deprecated.
`org.eclipse.net4j.util.collection.CloseableIterator<CDOObjectReference>`
`queryXRefsAsync(Set<CDOObject> targetObjects, EReference... sourceReferences)`
Deprecated.
`void`
`refreshLockStates(Consumer<CDOLockState> consumer)`
Deprecated.
`int`
`reload(CDOObject... objects)`
Deprecated.
`void`
`removeListener(org.eclipse.net4j.util.event.IListener listener)`
Deprecated.
`void`
`removeObjectHandler(CDOObjectHandler handler)`
Deprecated.
`void`
`removeRegistrationHandler(CDORegistrationHandler handler)`
Deprecated.
`void`
`removeTransactionHandler(CDOTransactionHandlerBase handler)`
Deprecated.
`CDOChangeSetData`
`revertTo(CDOBranchPoint branchPoint)`
Deprecated.
`void`
`rollback()`
Deprecated.
`boolean`
`runAfterUpdate(long updateTime, Runnable runnable)`
Deprecated.
`boolean`
`setBranch(CDOBranch branch)`
Deprecated.
`boolean`
`setBranch(CDOBranch branch, IProgressMonitor monitor)`
Deprecated.
`boolean`
`setBranchPoint(CDOBranch branch, long timeStamp)`
Deprecated.
`boolean`
`setBranchPoint(CDOBranch branch, long timeStamp, IProgressMonitor monitor)`
Deprecated.
`boolean`
`setBranchPoint(CDOBranchPoint branchPoint)`
Deprecated.
`boolean`
`setBranchPoint(CDOBranchPoint branchPoint, IProgressMonitor monitor)`
Deprecated.
`void`
`setCommitComment(String comment)`
Deprecated.
`String`
`setCommitProperty(String key, String value)`
Deprecated.
`void`
`setCommittables(Set<? extends EObject> committables)`
Deprecated.
`protected void`
`setDirty(boolean dirty)`
Deprecated.
`void`
`setResourcePathCache(Map<String,CDOID> resourcePathCache)`
Deprecated.
`CDOSavepoint`
`setSavepoint()`
Deprecated.
`boolean`
`setTimeStamp(long timeStamp)`
Deprecated.
`boolean`
`setTimeStamp(long timeStamp, IProgressMonitor monitor)`
Deprecated.
`org.eclipse.net4j.util.concurrent.CriticalSection`
`sync()`
Deprecated.
`void`
`syncExec(Runnable runnable)`
Deprecated.
`<V> V`
`syncExec(Callable<V> callable)`
Deprecated.
`String`
`toString()`
Deprecated.
`void`
`unlockObjects()`
Deprecated.
`void`
`unlockObjects(Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)`
Deprecated.
`void`
`unlockObjects(Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)`
Deprecated.
`void`
`waitForUpdate(long updateTime)`
Deprecated.
`boolean`
`waitForUpdate(long updateTime, long timeoutMillis)`
Deprecated.

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getNotificationService, hasListener, lastListenerRemoved, listenerAdded, listenerRemoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDOPushTransaction

@Deprecated public CDOPushTransaction(CDOTransaction delegate) throws IOException
Deprecated.

Throws:
  `IOException`

### CDOPushTransaction

@Deprecated public CDOPushTransaction(CDOTransaction delegate, File file) throws IOException
Deprecated.

Throws:
  `IOException`

### CDOPushTransaction

@Deprecated public CDOPushTransaction(CDOTransaction delegate, File file, boolean reconstructSavepoints) throws IOException
Deprecated.

Throws:
  `IOException`

## Method Details

### getDelegate

@Deprecated public CDOTransaction getDelegate()
Deprecated.

### getFile

@Deprecated public File getFile()
Deprecated.

### properties

@Deprecated public final org.eclipse.net4j.util.registry.IRegistry<String,Object> properties()
Deprecated.

Specified by:
  `properties` in interface `org.eclipse.net4j.util.properties.IPropertiesContainer`
Since:
  4.4

### isDirty

@Deprecated public boolean isDirty()
Deprecated.
Description copied from interface: `CDOTransaction`
Returns `true` if this transaction is not closed and contains uncommitted changes, `false` otherwise.

Specified by:
  `isDirty` in interface `CDOTransaction`
Specified by:
  `isDirty` in interface `CDOView`
See Also:
  - `CDOTransaction.isDirty()`

### setDirty

@Deprecated protected void setDirty(boolean dirty)
Deprecated.

### commit

@Deprecated public CDOCommitInfo commit() throws CommitException
Deprecated.
Description copied from interface: `CDOUserTransaction`
Same as `commit(null)`.

Specified by:
  `commit` in interface `CDOUserTransaction`
Throws:
  `CommitException`

### commit

@Deprecated public CDOCommitInfo commit(IProgressMonitor monitor) throws CommitException
Deprecated.
Description copied from interface: `CDOUserTransaction`
Commits the modifications of this transaction to the repository and returns a `commit info` object if successful.

Various kinds of problems can cause the commit to fail and not all of them can be avoided by acquiring pessimistic `locks` on the modified objects. In particular you must expect and handle `containment cycle exceptions`. The following example shows how write robust transactions:

        CDOTransaction transaction = null;

        try
        {
          transaction = session.openTransaction();

          for (;;)
          {
            transaction.getViewLock().lock();

            try
            {
              CDOResource resource = transaction.getResource("/stock/resource1");

              // Modify the model here...

              transaction.commit();
              break;
            }
            catch (ConcurrentAccessException ex)
            {
              transaction.rollback();
            }
            catch (CommitException ex)
            {
              throw ex.wrap();
            }
            finally
            {
              transaction.getViewLock().unlock();
            }
          }
        }
        finally
        {
          if (transaction != null)
          {
            transaction.close();
          }
        }

Note that the transaction stays functional after a any call to the `commit()` methods. If the transaction is not closed after a commit it can be used to apply additional modifications to the model.

Specified by:
  `commit` in interface `CDOUserTransaction`
Throws:
  `CommitException`

### commit

@Deprecated public <T> CDOTransaction.CommitResult<T> commit(Callable<T> callable, org.eclipse.net4j.util.Predicate<Long> retry, IProgressMonitor monitor) throws ConcurrentAccessException, CommitException, Exception
Deprecated.

Specified by:
  `commit` in interface `CDOTransaction`
Throws:
  `ConcurrentAccessException`
  `CommitException`
  `Exception`

### commit

@Deprecated public <T> CDOTransaction.CommitResult<T> commit(Callable<T> callable, Predicate<Long> retry, IProgressMonitor monitor) throws ConcurrentAccessException, CommitException, Exception
Deprecated.

Specified by:
  `commit` in interface `CDOTransaction`
Throws:
  `ConcurrentAccessException`
  `CommitException`
  `Exception`

### commit

@Deprecated public <T> CDOTransaction.CommitResult<T> commit(Callable<T> callable, int attempts, IProgressMonitor monitor) throws ConcurrentAccessException, CommitException, Exception
Deprecated.

Specified by:
  `commit` in interface `CDOTransaction`
Throws:
  `ConcurrentAccessException`
  `CommitException`
  `Exception`

### commit

@Deprecated public CDOCommitInfo commit(Runnable runnable, org.eclipse.net4j.util.Predicate<Long> retry, IProgressMonitor monitor) throws ConcurrentAccessException, CommitException
Deprecated.

Specified by:
  `commit` in interface `CDOTransaction`
Throws:
  `ConcurrentAccessException`
  `CommitException`

### commit

@Deprecated public CDOCommitInfo commit(Runnable runnable, Predicate<Long> retry, IProgressMonitor monitor) throws ConcurrentAccessException, CommitException
Deprecated.

Specified by:
  `commit` in interface `CDOTransaction`
Throws:
  `ConcurrentAccessException`
  `CommitException`

### commit

@Deprecated public CDOCommitInfo commit(Runnable runnable, int attempts, IProgressMonitor monitor) throws ConcurrentAccessException, CommitException
Deprecated.

Specified by:
  `commit` in interface `CDOTransaction`
Throws:
  `ConcurrentAccessException`
  `CommitException`

### commitAndClose

@Deprecated public CDOCommitInfo commitAndClose(IProgressMonitor monitor, boolean keepOpenAfterCommitProblem) throws CommitException
Deprecated.

Specified by:
  `commitAndClose` in interface `CDOTransaction`
Throws:
  `CommitException`

### rollback

@Deprecated public void rollback()
Deprecated.
Description copied from interface: `CDOUserTransaction`
Rolls back all uncommitted changes in this transaction.

Specified by:
  `rollback` in interface `CDORollbackable`
Specified by:
  `rollback` in interface `CDOUserTransaction`

### push

@Deprecated public void push() throws CommitException
Deprecated.

Throws:
  `CommitException`

### push

@Deprecated public void push(IProgressMonitor progressMonitor) throws CommitException
Deprecated.

Throws:
  `CommitException`

### exportChanges

@Deprecated public CDOSavepoint[] exportChanges(OutputStream out) throws IOException
Deprecated.

Specified by:
  `exportChanges` in interface `CDOTransaction`
Throws:
  `IOException`

### importChanges

@Deprecated public CDOSavepoint[] importChanges(InputStream in, boolean reconstructSavepoints) throws IOException
Deprecated.

Specified by:
  `importChanges` in interface `CDOTransaction`
Throws:
  `IOException`

### getLastCommitTime

@Deprecated public long getLastCommitTime()
Deprecated.

Specified by:
  `getLastCommitTime` in interface `CDOTransaction`

### addListener

@Deprecated public void addListener(org.eclipse.net4j.util.event.IListener listener)
Deprecated.

Specified by:
  `addListener` in interface `org.eclipse.net4j.util.event.INotifier`
Overrides:
  `addListener` in class `org.eclipse.net4j.util.event.Notifier`

### removeListener

@Deprecated public void removeListener(org.eclipse.net4j.util.event.IListener listener)
Deprecated.

Specified by:
  `removeListener` in interface `org.eclipse.net4j.util.event.INotifier`
Overrides:
  `removeListener` in class `org.eclipse.net4j.util.event.Notifier`

### hasListeners

@Deprecated public boolean hasListeners()
Deprecated.

Specified by:
  `hasListeners` in interface `org.eclipse.net4j.util.event.INotifier`
Overrides:
  `hasListeners` in class `org.eclipse.net4j.util.event.Notifier`

### getListeners

@Deprecated public org.eclipse.net4j.util.event.IListener[] getListeners()
Deprecated.

Specified by:
  `getListeners` in interface `org.eclipse.net4j.util.event.INotifier`
Overrides:
  `getListeners` in class `org.eclipse.net4j.util.event.Notifier`

### addObjectHandler

@Deprecated public void addObjectHandler(CDOObjectHandler handler)
Deprecated.

Specified by:
  `addObjectHandler` in interface `CDOView`

### addRegistrationHandler

@Deprecated public void addRegistrationHandler(CDORegistrationHandler handler)
Deprecated.

Specified by:
  `addRegistrationHandler` in interface `CDOView`
Since:
  4.6

### addTransactionHandler

@Deprecated public void addTransactionHandler(CDOTransactionHandlerBase handler)
Deprecated.

Specified by:
  `addTransactionHandler` in interface `CDOTransaction`
Since:
  4.0

### close

@Deprecated public void close()
Deprecated.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `org.eclipse.net4j.util.collection.Closeable`

### createQuery

@Deprecated public CDOQuery createQuery(String language, String queryString)
Deprecated.
Description copied from interface: `CDOView`
Same as `createQuery(language, queryString, null)`.

Specified by:
  `createQuery` in interface `CDOView`
See Also:
  - `CDOView.createQuery(String, String, Object)`

### createQuery

@Deprecated public CDOQuery createQuery(String language, String queryString, Object context)
Deprecated.

Specified by:
  `createQuery` in interface `CDOView`
Since:
  4.0

### createQuery

@Deprecated public CDOQuery createQuery(String language, String queryString, boolean considerDirtyState)
Deprecated.

Specified by:
  `createQuery` in interface `CDOTransaction`
Since:
  4.0

### createQuery

@Deprecated public CDOQuery createQuery(String language, String queryString, Object context, boolean considerDirtyState)
Deprecated.

Specified by:
  `createQuery` in interface `CDOTransaction`
Since:
  4.0

### createResourceFolder

@Deprecated public CDOResourceFolder createResourceFolder(String path)
Deprecated.

Specified by:
  `createResourceFolder` in interface `CDOTransaction`
Since:
  4.0

### createResource

@Deprecated public CDOResource createResource(String path)
Deprecated.

Specified by:
  `createResource` in interface `CDOTransaction`
See Also:
  - `ResourceSet.createResource(URI)`

### isLegacyModeEnabled

@Deprecated public boolean isLegacyModeEnabled()
Deprecated.

Specified by:
  `isLegacyModeEnabled` in interface `CDOView`
See Also:
  - `CDOUtil.setLegacyModeDefault(boolean)`

### getLastUpdateTime

@Deprecated public long getLastUpdateTime()
Deprecated.
Description copied from interface: `CDOUpdatable`
Returns the time stamp of the last commit operation. May not be accurate if `passive updates` are disabled.

Specified by:
  `getLastUpdateTime` in interface `CDOUpdatable`

### waitForUpdate

@Deprecated public void waitForUpdate(long updateTime)
Deprecated.
Description copied from interface: `CDOUpdatable`
Blocks the calling thread until a commit operation with the given time stamp (or higher) has occurred.

Specified by:
  `waitForUpdate` in interface `CDOUpdatable`
Parameters:
  `updateTime` - the time stamp of the update to wait for in milliseconds since Unix epoch.

### waitForUpdate

@Deprecated public boolean waitForUpdate(long updateTime, long timeoutMillis)
Deprecated.
Description copied from interface: `CDOUpdatable`
Blocks the calling thread until a commit operation with the given time stamp (or higher) has occurred or the given timeout has expired.

Specified by:
  `waitForUpdate` in interface `CDOUpdatable`
Parameters:
  `updateTime` - the time stamp of the update to wait for in milliseconds since Unix epoch.
  `timeoutMillis` - the maximum number of milliseconds to wait for the update to occur, or `CDOUpdatable.NO_TIMEOUT` to wait indefinitely.
Returns:
  `true` if the specified commit operation has occurred within the given timeout period, `false` otherwise.

### runAfterUpdate

@Deprecated public boolean runAfterUpdate(long updateTime, Runnable runnable)
Deprecated.

Specified by:
  `runAfterUpdate` in interface `CDOUpdatable`
Since:
  4.3

### getConflicts

@Deprecated public Set<CDOObject> getConflicts()
Deprecated.
Description copied from interface: `CDOTransaction`
Returns the set of objects that are conflicting with remote modifications or an empty set if `CDOTransaction.hasConflict()` returns `false`.

Specified by:
  `getConflicts` in interface `CDOTransaction`

### getChangeSetData

@Deprecated public CDOChangeSetData getChangeSetData()
Deprecated.

Specified by:
  `getChangeSetData` in interface `CDOChangeSetDataProvider`
Since:
  4.0

### getDetachedObjects

@Deprecated public Map<CDOID,CDOObject> getDetachedObjects()
Deprecated.

Specified by:
  `getDetachedObjects` in interface `CDOTransaction`

### getDirtyObjects

@Deprecated public Map<CDOID,CDOObject> getDirtyObjects()
Deprecated.

Specified by:
  `getDirtyObjects` in interface `CDOTransaction`

### getRevision

@Deprecated public CDORevision getRevision(CDOID id)
Deprecated.

Specified by:
  `getRevision` in interface `CDORevisionProvider`
Since:
  4.0

### getFirstSavepoint

@Deprecated public CDOSavepoint getFirstSavepoint()
Deprecated.

Specified by:
  `getFirstSavepoint` in interface `CDOTransaction`
Since:
  4.1

### getLastSavepoint

@Deprecated public CDOSavepoint getLastSavepoint()
Deprecated.
Description copied from interface: `CDOUserTransaction`
Returns the most recently created savepoint.

Specified by:
  `getLastSavepoint` in interface `CDOTransaction`
Specified by:
  `getLastSavepoint` in interface `CDOUserTransaction`
Returns:
  the last savepoint, or `null` if none exists.

### isInvalidationRunnerActive

@Deprecated public boolean isInvalidationRunnerActive()
Deprecated.

Specified by:
  `isInvalidationRunnerActive` in interface `CDOView`
Since:
  4.0

### isInvalidating

@Deprecated public boolean isInvalidating()
Deprecated.

Specified by:
  `isInvalidating` in interface `CDOView`
Since:
  4.7

### getNewObjects

@Deprecated public Map<CDOID,CDOObject> getNewObjects()
Deprecated.

Specified by:
  `getNewObjects` in interface `CDOTransaction`

### getObjects

@Deprecated public Map<CDOID,CDOObject> getObjects(Collection<CDOID> ids)
Deprecated.
Description copied from interface: `CDOView`
Returns the objects with the given CDOIDs.

If objects are missing from the local cache they are loaded from the server in one round-trip.

Specified by:
  `getObjects` in interface `CDOView`
Parameters:
  `ids` - the collection of CDOIDs that identify the CDOObjects to return.
Returns:
  a map that contains the CDOObjects with the given CDOIDs.
Since:
  4.13

### getObject

@Deprecated public CDOObject getObject(CDOID id, boolean loadOnDemand)
Deprecated.
Description copied from interface: `CDOView`
Returns the object for the given CDOID.

Specified by:
  `getObject` in interface `CDOView`
Parameters:
  `loadOnDemand` - whether to create and load the object, if it doesn't already exist.
Returns:
  the object resolved by the CDOID if the id is not `null`, or `null` if there isn't one and loadOnDemand is `false`.

### getObject

@Deprecated public CDOObject getObject(CDOID id)
Deprecated.
Description copied from interface: `CDOView`
Returns the object for the given CDOID.

Same as `getObject(id, true)`.

Specified by:
  `getObject` in interface `CDOView`
See Also:
  - `CDOView.getObject(CDOID, boolean)`

### getObject

@Deprecated public <T extends EObject> T getObject(T objectFromDifferentView)
Deprecated.
Description copied from interface: `CDOView`
Takes an object from a (possibly) different view and contextifies it for the usage with this view.

- If the given object is contained in this view it is returned unmodified.
- If the given object can not be cast to `CDOObject` it is returned unmodified.
- If the view of the given object is contained in a different session an `IllegalArgumentException` is thrown.
- If `null` is passed `null` is returned.

Specified by:
  `getObject` in interface `CDOView`

### getObjectHandlers

@Deprecated public CDOObjectHandler[] getObjectHandlers()
Deprecated.

Specified by:
  `getObjectHandlers` in interface `CDOView`

### getRegistrationHandlers

@Deprecated public CDORegistrationHandler[] getRegistrationHandlers()
Deprecated.

Specified by:
  `getRegistrationHandlers` in interface `CDOView`
Since:
  4.6

### getOrCreateResource

@Deprecated public CDOResource getOrCreateResource(String path)
Deprecated.

Specified by:
  `getOrCreateResource` in interface `CDOTransaction`

### getOrCreateResourceFolder

@Deprecated public CDOResourceFolder getOrCreateResourceFolder(String path)
Deprecated.

Specified by:
  `getOrCreateResourceFolder` in interface `CDOTransaction`
Since:
  4.0

### getResource

@Deprecated public CDOResource getResource(String path, boolean loadOnDemand) throws CDOResourceNodeNotFoundException
Deprecated.

Specified by:
  `getResource` in interface `CDOView`
Throws:
  `CDOResourceNodeNotFoundException`
See Also:
  - `ResourceSet.getResource(URI, boolean)`

### getResource

@Deprecated public CDOResource getResource(String path) throws CDOResourceNodeNotFoundException
Deprecated.
Description copied from interface: `CDOView`
Same as `getResource(String, true)`.

Specified by:
  `getResource` in interface `CDOView`
Throws:
  `CDOResourceNodeNotFoundException`
See Also:
  - `ResourceSet.getResource(URI, boolean)`

### getResourceNode

@Deprecated public CDOResourceNode getResourceNode(String path) throws CDOResourceNodeNotFoundException
Deprecated.
Description copied from interface: `CDOView`
Returns the resource node with the given path.

Specified by:
  `getResourceNode` in interface `CDOView`
Returns:
  never `null`.
Throws:
  `CDOResourceNodeNotFoundException`

### createTextResource

@Deprecated public CDOTextResource createTextResource(String path)
Deprecated.

Specified by:
  `createTextResource` in interface `CDOTransaction`
Since:
  4.2

### getOrCreateTextResource

@Deprecated public CDOTextResource getOrCreateTextResource(String path)
Deprecated.

Specified by:
  `getOrCreateTextResource` in interface `CDOTransaction`
Since:
  4.2

### createBinaryResource

@Deprecated public CDOBinaryResource createBinaryResource(String path)
Deprecated.

Specified by:
  `createBinaryResource` in interface `CDOTransaction`
Since:
  4.2

### getOrCreateBinaryResource

@Deprecated public CDOBinaryResource getOrCreateBinaryResource(String path)
Deprecated.

Specified by:
  `getOrCreateBinaryResource` in interface `CDOTransaction`
Since:
  4.2

### getTextResource

@Deprecated public CDOTextResource getTextResource(String path) throws CDOResourceNodeNotFoundException
Deprecated.

Specified by:
  `getTextResource` in interface `CDOView`
Throws:
  `CDOResourceNodeNotFoundException`
Since:
  4.2

### getBinaryResource

@Deprecated public CDOBinaryResource getBinaryResource(String path) throws CDOResourceNodeNotFoundException
Deprecated.

Specified by:
  `getBinaryResource` in interface `CDOView`
Throws:
  `CDOResourceNodeNotFoundException`
Since:
  4.2

### getResourceFolder

@Deprecated public CDOResourceFolder getResourceFolder(String path) throws CDOResourceNodeNotFoundException
Deprecated.

Specified by:
  `getResourceFolder` in interface `CDOView`
Throws:
  `CDOResourceNodeNotFoundException`
Since:
  4.2

### setResourcePathCache

@Deprecated public void setResourcePathCache(Map<String,CDOID> resourcePathCache)
Deprecated.
Description copied from interface: `CDOView`
Sets the new `map` to be used as a cache for various `get*Resource*(String path)` methods.

Can be used to reset/clear the resource path cache by passing a `new HashMap<String, CDOID>()`. Smarter maps could implement a LRU eviction policy to limit the map capacity. Passing `null` disables resource path caching.

The default value is `new HashMap<String, CDOID>()`.

Specified by:
  `setResourcePathCache` in interface `CDOView`
Since:
  4.2
See Also:
  - `CDOView.getResourceNode(String)`
  - `CDOView.getResource(String)`
  - `CDOView.getResource(String, boolean)`
  - `CDOView.getBinaryResource(String)`
  - `CDOView.getTextResource(String)`
  - `CDOView.getResourceFolder(String)`
  - `CDOView.hasResource(String)`

### getResourceSet

@Deprecated public ResourceSet getResourceSet()
Deprecated.
Description copied from interface: `CDOView`
Returns the `resource set` this view is associated with.

Same as calling `getViewSet().getResourceSet()`.

Specified by:
  `getResourceSet` in interface `CDOView`
See Also:
  - `CDOViewSet.getResourceSet()`

### getRevisionDeltas

@Deprecated public Map<CDOID,CDORevisionDelta> getRevisionDeltas()
Deprecated.

Specified by:
  `getRevisionDeltas` in interface `CDOTransaction`

### getRootResource

@Deprecated public CDOResource getRootResource()
Deprecated.
Description copied from interface: `CDOView`
Returns the root resource of the repository.

The root resource is a special resource with only `CDOResourceNodes` in its contents list. You can use it as the main entry into the new resource and folder structure.

Specified by:
  `getRootResource` in interface `CDOView`

### getSession

@Deprecated public CDOSession getSession()
Deprecated.
Description copied from interface: `CDOView`
Returns the `session` this view was opened by.

Specified by:
  `getSession` in interface `CDOCommonView`
Specified by:
  `getSession` in interface `CDOView`
Returns:
  The session this view was opened by, or `null` if this view is closed.
See Also:
  - `Closeable.close()`
  - `Closeable.isClosed()`
  - `CDOViewContainer.openView()`
  - `CDOTransactionContainer.openTransaction()`

### getProvider

@Deprecated public CDOViewProvider getProvider()
Deprecated.
Description copied from interface: `CDOView`
Returns the `provider` that has opened this view.

Specified by:
  `getProvider` in interface `CDOView`
Since:
  4.4

### createResourceURI

@Deprecated public URI createResourceURI(String path)
Deprecated.
Description copied from interface: `CDOView`
Returns a `URI` that can be used in `ResourceSet.getResource(URI, boolean)` to load the resource with the specified path.

Specified by:
  `createResourceURI` in interface `CDOView`
Since:
  4.4

### getTimeStamp

@Deprecated public long getTimeStamp()
Deprecated.
Description copied from interface: `CDOBranchPoint`
Returns the time stamp of this branch point, or the fixed special time stamp `unspecified` if this branch point marks the `head` of a branch.

Specified by:
  `getTimeStamp` in interface `CDOBranchPoint`
Specified by:
  `getTimeStamp` in interface `CDOTimeProvider`

### getDurableLockingID

@Deprecated public String getDurableLockingID()
Deprecated.

Specified by:
  `getDurableLockingID` in interface `CDOCommonView`
Since:
  4.0

### getTransactionHandlers

@Deprecated public CDOTransactionHandler[] getTransactionHandlers()
Deprecated.

Specified by:
  `getTransactionHandlers` in interface `CDOTransaction`

### getTransactionHandlers1

@Deprecated public CDOTransactionHandler1[] getTransactionHandlers1()
Deprecated.

Specified by:
  `getTransactionHandlers1` in interface `CDOTransaction`
Since:
  4.0

### getTransactionHandlers2

@Deprecated public CDOTransactionHandler2[] getTransactionHandlers2()
Deprecated.

Specified by:
  `getTransactionHandlers2` in interface `CDOTransaction`
Since:
  4.0

### getSessionID

@Deprecated public int getSessionID()
Deprecated.

Specified by:
  `getSessionID` in interface `CDOCommonView`
Since:
  4.1

### isDurableView

@Deprecated public boolean isDurableView()
Deprecated.

Specified by:
  `isDurableView` in interface `CDOCommonView`
Since:
  4.1

### getLockOwner

@Deprecated public CDOLockOwner getLockOwner()
Deprecated.

Specified by:
  `getLockOwner` in interface `CDOCommonView`
Since:
  4.15

### getURI

@Deprecated public URI getURI()
Deprecated.

Specified by:
  `getURI` in interface `CDOView`

### getViewID

@Deprecated public int getViewID()
Deprecated.

Specified by:
  `getViewID` in interface `CDOCommonView`

### getViewSet

@Deprecated public CDOViewSet getViewSet()
Deprecated.
Description copied from interface: `CDOView`
Returns the `view set` this view is associated with.

Specified by:
  `getViewSet` in interface `CDOView`
Returns:
  The view set this view is associated with, never `null`.
See Also:
  - `CDOViewSet.getViews()`

### sync

@Deprecated public org.eclipse.net4j.util.concurrent.CriticalSection sync()
Deprecated.
Description copied from interface: `CDOView`
Returns a `critical section` that can be used to execute a block of code that needs to be synchronized with the internal operations of this view and its `objects`.

Here is an example:

     CDOView view = ...;
     CriticalSection sync = view.sync();

     MyResult result = sync.call(() -> {
       // Access the view and its objects safely here.
       CDOObject object1 = view.getObject(id1);
       CDOObject object2 = view.getObject(id2);
       CDOObject object3 = view.getObject(id3);
       ...
       return new MyResult(...);
     });

The critical section ensures that no invalidation or other internal operation of the view can occur while the block of code is executed. This is particularly important if the block of code accesses the view or `objects` of the view multiple times, because these objects can be `invalidated` by network threads at any time in between these accesses otherwise. This can lead to wrong computation results in the block of code being executed.

Note that single accesses to the view or its objects are always safe, even without using the critical section.

There are some other useful methods in CriticalSection that can be used to execute a block of code, such as `run(Runnable)` or `supply(Supplier)`.

By default the critical section uses the monitor lock of this view to synchronize. If you need a different locking strategy you can override this by calling `CDOUtil.setNextViewLock(Lock)` before opening the view.

In particular you can use a `DelegableReentrantLock`, which allows to delegate the lock ownership to a different thread. This is useful in scenarios where you need to hold the lock while waiting for an asynchronous operation to complete in a different thread.

A typical example is the Display.syncExec() method in SWT/JFace UI applications. With the default locking strategy this can lead to deadlocks:

1. Thread A (not the UI thread) holds the view lock and calls `Display.syncExec()` to execute some code in the UI thread.
2. The Runnable passed to syncExec() is scheduled for execution in the UI thread. Thread A waits for the Runnable to complete.
3. The UI thread executes the Runnable, which tries to access the view or an object of the view. This requires the view lock, which is already held by thread A.
4. Deadlock: Thread A waits for the Runnable to complete and the UI thread waits for the view lock to be released.

Note that, in this scenario, Thread A is holding the view lock while waiting for the Runnable to complete. This is kind of an anti-pattern, because it blocks other threads from accessing the view for an indeterminate amount of time. In addition, it is not necessary to hold the view lock while waiting for the Runnable to complete, because Thread A can not access the view in that time.

A `DelegableReentrantLock` can be used to avoid the deadlock. It uses so called lock delegation to temporarily transfer the ownership of the lock to a different thread. In the scenario described above, Thread A can delegate the lock ownership to the UI thread while waiting for the Runnable to complete. When the Runnable completes, the lock ownership is transferred back to Thread A. This way, the UI thread can access the view while executing the Runnable and no deadlock occurs.

`DelegableReentrantLock` uses `DelegableReentrantLock.DelegateDetector`s to determine whether the current thread is allowed to delegate the lock ownership to a different thread. A `DelegateDetector` can be registered with the lock by calling `DelegableReentrantLock.addDelegateDetector(DelegateDetector)`. The `org.eclipse.net4j.util.ui` plugin provides a `DisplayDelegateDetector` for the SWT/JFace UI thread that detects calls to `Display.syncExec()`.

Specified by:
  `sync` in interface `CDOView`
See Also:
  - `CDOUtil.sync(CDOView)`
  - `CDOUtil.sync(Notifier)`

### getViewLock

@Deprecated public Lock getViewLock()
Deprecated.

Specified by:
  `getViewLock` in interface `CDOView`
Since:
  4.5

### syncExec

@Deprecated public void syncExec(Runnable runnable)
Deprecated.

Specified by:
  `syncExec` in interface `CDOView`
Since:
  4.5

### syncExec

@Deprecated public <V> V syncExec(Callable<V> callable) throws Exception
Deprecated.

Specified by:
  `syncExec` in interface `CDOView`
Throws:
  `Exception`
Since:
  4.5

### hasConflict

@Deprecated public boolean hasConflict()
Deprecated.
Description copied from interface: `CDOTransaction`
Returns `true` if this transaction contains local modifications that are conflicting with remote modifications, `false` otherwise.

Specified by:
  `hasConflict` in interface `CDOTransaction`
Specified by:
  `hasConflict` in interface `CDOView`
See Also:
  - `CDOTransaction.hasConflict()`

### hasResource

@Deprecated public boolean hasResource(String path)
Deprecated.
Description copied from interface: `CDOView`
Returns `true` if a resource with the given path exists in the repository, `false`. Applies to `file resources`, as well.

Specified by:
  `hasResource` in interface `CDOView`
See Also:
  - `CDOView.getResource(String, boolean)`

### isClosed

@Deprecated public boolean isClosed()
Deprecated.

Specified by:
  `isClosed` in interface `org.eclipse.net4j.util.collection.Closeable`

### isObjectRegistered

@Deprecated public boolean isObjectRegistered(CDOID id)
Deprecated.
Description copied from interface: `CDOView`
Returns `true` if an `object` with the given `id` is currently registered in this view, `false` otherwise.

Specified by:
  `isObjectRegistered` in interface `CDOView`

### refreshLockStates

@Deprecated public void refreshLockStates(Consumer<CDOLockState> consumer)
Deprecated.
Description copied from interface: `CDOView`
Refreshes the `lock states` of this `view` with the latest states from the repository. If a lock state consumer is passed it is called for each resulting new lock state.

Specified by:
  `refreshLockStates` in interface `CDOView`
Since:
  4.12

### getLockStates

@Deprecated public CDOLockState[] getLockStates(Collection<CDOID> ids)
Deprecated.
Description copied from interface: `CDOView`
Get an array of `lock states` corresponding to the specified collection of `ids`. If the collection of `ids` is empty, `lock states` of all objects are returned.

Specified by:
  `getLockStates` in interface `CDOView`
Since:
  4.6

### getLockStates

@Deprecated public CDOLockState[] getLockStates(Collection<CDOID> ids, boolean loadOnDemand)
Deprecated.
Description copied from interface: `CDOView`
Get an array of `lock states` corresponding to the specified collection of `ids`. If the collection of `ids` is empty, `lock states` of all objects are returned.

Specified by:
  `getLockStates` in interface `CDOView`

### getLockStatesOfObjects

@Deprecated public CDOLockState[] getLockStatesOfObjects(Collection<? extends CDOObject> objects)
Deprecated.
Description copied from interface: `CDOView`
Get an array of `lock states` corresponding to the specified collection of `objects`. If the collection of `objects` is empty, `lock states` of all locked objects are returned.

Specified by:
  `getLockStatesOfObjects` in interface `CDOView`
Since:
  4.6

### lockObjects

@Deprecated public void lockObjects(Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, long timeout) throws InterruptedException
Deprecated.
Description copied from interface: `CDOView`
Locks the given objects. Once the objects are locked, they will not be changed remotely or go in conflict state.

Specified by:
  `lockObjects` in interface `CDOView`
Throws:
  `InterruptedException`

### lockObjects

@Deprecated public void lockObjects(Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, long timeout, boolean recursive) throws InterruptedException
Deprecated.

Specified by:
  `lockObjects` in interface `CDOView`
Throws:
  `InterruptedException`

### options

@Deprecated public CDOTransaction.Options options()
Deprecated.
Description copied from interface: `CDOCommonView`
Returns the `options` of this view.

Specified by:
  `options` in interface `CDOCommonView`
Specified by:
  `options` in interface `CDOTransaction`
Specified by:
  `options` in interface `CDOView`
Specified by:
  `options` in interface `org.eclipse.net4j.util.options.IOptionsContainer`

### queryResources

@Deprecated public List<CDOResourceNode> queryResources(CDOResourceFolder folder, String name, boolean exactMatch)
Deprecated.
Description copied from interface: `CDOView`
Returns a list of the resources in the given folder with a name equal to or starting with the value of the name parameter.

Specified by:
  `queryResources` in interface `CDOView`
Parameters:
  `folder` - The folder to search in, or `null` for top level resource nodes.
  `name` - the name or prefix of the resource nodes to return.
  `exactMatch` - `true` if the complete name of the resource must match, `false` if only a common prefix of the name must match.

### queryResourcesAsync

@Deprecated public org.eclipse.net4j.util.collection.CloseableIterator<CDOResourceNode> queryResourcesAsync(CDOResourceFolder folder, String name, boolean exactMatch)
Deprecated.
Description copied from interface: `CDOView`
Returns an iterator over the resources in the given folder with a name equal to or starting with the value of the name parameter. The underlying query will be executed asynchronously.

Specified by:
  `queryResourcesAsync` in interface `CDOView`
Parameters:
  `folder` - The folder to search in, or `null` for top level resource nodes.
  `name` - the name or prefix of the resource nodes to return.
  `exactMatch` - `true` if the complete name of the resource must match, `false` if only a common prefix of the name must match.

### queryInstances

@Deprecated public <T extends EObject> List<T> queryInstances(EClass type)
Deprecated.
Description copied from interface: `CDOView`
Returns a list of the instances of the given type.

Specified by:
  `queryInstances` in interface `CDOView`
Since:
  4.3

### queryInstancesAsync

@Deprecated public <T extends EObject> org.eclipse.net4j.util.collection.CloseableIterator<T> queryInstancesAsync(EClass type)
Deprecated.
Description copied from interface: `CDOView`
Returns an iterator over the instances of the given type. The underlying query will be executed asynchronously.

Specified by:
  `queryInstancesAsync` in interface `CDOView`
Since:
  4.3

### queryInstancesAsync

@Deprecated public <T extends EObject> org.eclipse.net4j.util.collection.CloseableIterator<T> queryInstancesAsync(EClass type, boolean exact)
Deprecated.
Description copied from interface: `CDOView`
Returns an iterator over the instances of the given type. The underlying query will be executed asynchronously.

Specified by:
  `queryInstancesAsync` in interface `CDOView`
Since:
  4.6

### queryXRefs

@Deprecated public List<CDOObjectReference> queryXRefs(CDOObject targetObject, EReference... sourceReferences)
Deprecated.
Description copied from interface: `CDOView`
Returns a list of `object references` that represent the cross references to the specified target object.

Specified by:
  `queryXRefs` in interface `CDOView`
Parameters:
  `targetObject` - The target object that referencing objects are requested for. An external target object can be used with the help of `CDOUtil.wrapExternalObject()`.
  `sourceReferences` - The reference features that referencing objects are requested for, or an empty array if all reference features are to be used in the request.
Since:
  4.0
See Also:
  - `CDOView.queryXRefs(Set, EReference...)`
  - `CDOView.queryXRefsAsync(Set, EReference...)`
  - `CDOUtil.wrapExternalObject(EObject, CDOView)`

### queryXRefs

@Deprecated public List<CDOObjectReference> queryXRefs(Set<CDOObject> targetObjects, EReference... sourceReferences)
Deprecated.
Description copied from interface: `CDOView`
Returns a list of `object references` that represent the cross references to the specified target objects.

Specified by:
  `queryXRefs` in interface `CDOView`
Parameters:
  `targetObjects` - The set of target objects that referencing objects are requested for. External target objects can be used with the help of `CDOUtil.wrapExternalObject()`.
  `sourceReferences` - The reference features that referencing objects are requested for, or an empty array if all reference features are to be used in the request.
See Also:
  - `CDOView.queryXRefs(CDOObject, EReference...)`
  - `CDOView.queryXRefsAsync(Set, EReference...)`
  - `CDOUtil.wrapExternalObject(EObject, CDOView)`

### queryXRefsAsync

@Deprecated public org.eclipse.net4j.util.collection.CloseableIterator<CDOObjectReference> queryXRefsAsync(Set<CDOObject> targetObjects, EReference... sourceReferences)
Deprecated.
Description copied from interface: `CDOView`
Returns an iterator over the `object references` that represent the cross references to the specified target objects. The underlying query will be executed asynchronously.

Specified by:
  `queryXRefsAsync` in interface `CDOView`
Parameters:
  `targetObjects` - The set of target objects that referencing objects are requested for. External target objects can be used with the help of `CDOUtil.wrapExternalObject()`.
  `sourceReferences` - The reference features that referencing objects are requested for, or an empty array if all reference features are to be used in the request.
See Also:
  - `CDOView.queryXRefs(CDOObject, EReference...)`
  - `CDOView.queryXRefs(Set, EReference...)`
  - `CDOUtil.wrapExternalObject(EObject, CDOView)`

### reload

@Deprecated public int reload(CDOObject... objects)
Deprecated.
Description copied from interface: `CDOView`
Reloads the given `objects` from the repository.

Specified by:
  `reload` in interface `CDOView`

### removeObjectHandler

@Deprecated public void removeObjectHandler(CDOObjectHandler handler)
Deprecated.

Specified by:
  `removeObjectHandler` in interface `CDOView`

### removeRegistrationHandler

@Deprecated public void removeRegistrationHandler(CDORegistrationHandler handler)
Deprecated.

Specified by:
  `removeRegistrationHandler` in interface `CDOView`
Since:
  4.6

### removeTransactionHandler

@Deprecated public void removeTransactionHandler(CDOTransactionHandlerBase handler)
Deprecated.

Specified by:
  `removeTransactionHandler` in interface `CDOTransaction`
Since:
  4.0

### revertTo

@Deprecated public CDOChangeSetData revertTo(CDOBranchPoint branchPoint)
Deprecated.

Specified by:
  `revertTo` in interface `CDOTransaction`
Since:
  4.15

### merge

@Deprecated public CDOChangeSetData merge(CDOBranch source, CDOMerger merger)
Deprecated.
Description copied from interface: `CDOTransaction`
Merges the changes from the given source branch into this transaction and possibly considers previous merges from that branch by inspecting the `merge source` information of the `commit history`.

Specified by:
  `merge` in interface `CDOTransaction`
Since:
  4.6
See Also:
  - `CDOTransaction.merge(CDOBranchPoint, CDOMerger)`

### merge

@Deprecated public CDOChangeSetData merge(CDOBranchPoint source, CDOMerger merger)
Deprecated.
Description copied from interface: `CDOTransaction`
Merges the changes from the given source point into this transaction and possibly considers previous merges from that `branch` by inspecting the `merge source` information of the `commit history`.

Specified by:
  `merge` in interface `CDOTransaction`

### merge

@Deprecated public CDOChangeSetData merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOMerger merger)
Deprecated.
Description copied from interface: `CDOTransaction`
Merges the changes between the given source base point and the given source point into this transaction.

Warning: If the branch of this transaction already contains merges from the given source point range (i.e., if this merge is a "remerge") this method will likely fail. One of the following methods should be used instead:

- `CDOTransaction.merge(CDOBranchPoint, CDOBranchPoint, CDOBranchPoint, CDOMerger)`
- `CDOTransaction.merge(CDOBranchPoint, CDOMerger)`
- `CDOTransaction.merge(CDOBranch, CDOMerger)`

Specified by:
  `merge` in interface `CDOTransaction`
Since:
  4.0

### merge

@Deprecated public CDOChangeSetData merge(CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDOMerger merger)
Deprecated.
Description copied from interface: `CDOTransaction`
Merges the changes between the given source base point and the given source point into this transaction.

When specifying an adequate target base point this method is able to perform a proper "remerge".

Specified by:
  `merge` in interface `CDOTransaction`
Since:
  4.6
See Also:
  - `CDOTransaction.merge(CDOBranchPoint, CDOMerger)`
  - `CDOTransaction.merge(CDOBranch, CDOMerger)`

### compareRevisions

@Deprecated public CDOChangeSetData compareRevisions(CDOBranchPoint source)
Deprecated.

Specified by:
  `compareRevisions` in interface `CDOView`
Since:
  4.0

### getHistory

@Deprecated public CDOCommitHistory getHistory()
Deprecated.

Specified by:
  `getHistory` in interface `CDOCommitHistory.Provider<CDOObject,CDOObjectHistory>`
Since:
  4.2

### getHistory

@Deprecated public CDOObjectHistory getHistory(CDOObject object)
Deprecated.

Specified by:
  `getHistory` in interface `CDOCommitHistory.Provider<CDOObject,CDOObjectHistory>`
Since:
  4.2

### setSavepoint

@Deprecated public CDOSavepoint setSavepoint()
Deprecated.
Description copied from interface: `CDOUserTransaction`
Creates a save point in the `CDOTransaction` that can be used to roll back a part of the transaction

Save points do not involve the server side, everything is done on the client side.

Specified by:
  `setSavepoint` in interface `CDOTransaction`
Specified by:
  `setSavepoint` in interface `CDOUserTransaction`

### unlockObjects

@Deprecated public void unlockObjects()
Deprecated.
Description copied from interface: `CDOView`
Unlocks all locked objects of this view.

Specified by:
  `unlockObjects` in interface `CDOView`

### unlockObjects

@Deprecated public void unlockObjects(Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType)
Deprecated.
Description copied from interface: `CDOView`
Unlocks the given locked objects of this view.

Specified by:
  `unlockObjects` in interface `CDOView`

### unlockObjects

@Deprecated public void unlockObjects(Collection<? extends CDOObject> objects, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, boolean recursive)
Deprecated.

Specified by:
  `unlockObjects` in interface `CDOView`

### enableDurableLocking

@Deprecated public String enableDurableLocking(boolean enable)
Deprecated.
Use `enableDurableLocking()` instead or `disableDurableLocking(boolean)`, respectively.

Specified by:
  `enableDurableLocking` in interface `CDOView`
Since:
  4.0

### enableDurableLocking

@Deprecated public String enableDurableLocking()
Deprecated.
Description copied from interface: `CDOView`
Enables the storage of all information that's needed to `reopen` this view at a later point in time. This information includes the `branch point`, the user ID of the `session`, whether it's a read-only view or a `transaction` and all the locks that are acquired or will be acquired while durable locking is enabled.

Specified by:
  `enableDurableLocking` in interface `CDOView`
Since:
  4.1
See Also:
  - `CDOViewContainer.openView(String)`
  - `CDOViewOpener.openView(String, ResourceSet)`
  - `CDOTransactionContainer.openTransaction(String)`
  - `CDOTransactionOpener.openTransaction(String, ResourceSet)`
  - `CDOView.disableDurableLocking(boolean)`

### disableDurableLocking

@Deprecated public void disableDurableLocking(boolean releaseLocks)
Deprecated.
Description copied from interface: `CDOView`
Disables the storage of all information that's needed to `reopen` this view at a later point in time. If such information is stored when this method is called it is removed. Note that locks acquired by this view are only released if `true` is passed to the `releaseLocks` parameter.

Specified by:
  `disableDurableLocking` in interface `CDOView`
Since:
  4.1
See Also:
  - `CDOView.enableDurableLocking()`

### isReadOnly

@Deprecated public boolean isReadOnly()
Deprecated.

Specified by:
  `isReadOnly` in interface `CDOCommonView`

### isHistorical

@Deprecated public boolean isHistorical()
Deprecated.

Specified by:
  `isHistorical` in interface `CDOCommonView`
Since:
  4.5

### getBranch

@Deprecated public CDOBranch getBranch()
Deprecated.
Description copied from interface: `CDOBranchPoint`
Returns the branch of this branch point, or `null` if this branch point is the `base` of the `main branch`.

Specified by:
  `getBranch` in interface `CDOBranchPoint`
Specified by:
  `getBranch` in interface `CDOBranchProvider`

### setBranchPoint

@Deprecated public boolean setBranchPoint(CDOBranch branch, long timeStamp)
Deprecated.
Description copied from interface: `CDOView`
Sets the `branch` and the point in (repository) time this view should refer to. `Objects` provided by this view will be `valid` at this time. The special value `UNSPECIFIED_DATE` denotes a "floating view" that always shows the latest state of the repository.

Specified by:
  `setBranchPoint` in interface `CDOView`
Returns:
  `true` if the branch point was changed, `false` otherwise.

### setBranchPoint

@Deprecated public boolean setBranchPoint(CDOBranch branch, long timeStamp, IProgressMonitor monitor)
Deprecated.
Description copied from interface: `CDOView`
Same as `CDOView.setBranchPoint(CDOBranch, long)` with a `IProgressMonitor`.

Specified by:
  `setBranchPoint` in interface `CDOView`
Since:
  4.4

### setBranchPoint

@Deprecated public boolean setBranchPoint(CDOBranchPoint branchPoint)
Deprecated.
Description copied from interface: `CDOView`
Same as calling `setBranchPoint(branchPoint.getBranch(), branchPoint.getTimeStamp())`.

Specified by:
  `setBranchPoint` in interface `CDOView`

### setBranchPoint

@Deprecated public boolean setBranchPoint(CDOBranchPoint branchPoint, IProgressMonitor monitor)
Deprecated.
Description copied from interface: `CDOView`
Same as calling `CDOView.setBranchPoint(CDOBranchPoint)` with a `IProgressMonitor` .

Specified by:
  `setBranchPoint` in interface `CDOView`
Since:
  4.4

### setBranch

@Deprecated public boolean setBranch(CDOBranch branch)
Deprecated.
Description copied from interface: `CDOView`
Same as calling `setBranchPoint(branch, getTimeStamp())`.

Specified by:
  `setBranch` in interface `CDOView`

### setBranch

@Deprecated public boolean setBranch(CDOBranch branch, IProgressMonitor monitor)
Deprecated.
Description copied from interface: `CDOView`
Same as `CDOView.setBranch(CDOBranch)` with `IProgressMonitor`.

Specified by:
  `setBranch` in interface `CDOView`
Since:
  4.4

### setTimeStamp

@Deprecated public boolean setTimeStamp(long timeStamp)
Deprecated.
Description copied from interface: `CDOView`
Same as calling `setBranchPoint(getBranch(), timeStamp)`.

Specified by:
  `setTimeStamp` in interface `CDOView`

### setTimeStamp

@Deprecated public boolean setTimeStamp(long timeStamp, IProgressMonitor monitor)
Deprecated.
Description copied from interface: `CDOView`
Same as `CDOView.setTimeStamp(long)` with `IProgressMonitor`.

Specified by:
  `setTimeStamp` in interface `CDOView`
Since:
  4.4

### getURIHandler

@Deprecated public URIHandler getURIHandler()
Deprecated.

Specified by:
  `getURIHandler` in interface `CDOView`

### getUnitManager

@Deprecated public CDOUnitManager getUnitManager()
Deprecated.

Specified by:
  `getUnitManager` in interface `CDOView`
Since:
  4.5

### getCommitComment

@Deprecated public String getCommitComment()
Deprecated.
Description copied from interface: `CDOTransaction`
Returns the comment to be used in the next commit operation.

Specified by:
  `getCommitComment` in interface `CDOTransaction`
See Also:
  - `CDOCommitInfo.getComment()`

### setCommitComment

@Deprecated public void setCommitComment(String comment)
Deprecated.
Description copied from interface: `CDOTransaction`
Sets the comment to be used in the next commit operation.

Specified by:
  `setCommitComment` in interface `CDOTransaction`
See Also:
  - `CDOCommitInfo.getComment()`

### getCommitProperty

@Deprecated public String getCommitProperty(String key)
Deprecated.

Specified by:
  `getCommitProperty` in interface `CDOTransaction`

### setCommitProperty

@Deprecated public String setCommitProperty(String key, String value)
Deprecated.

Specified by:
  `setCommitProperty` in interface `CDOTransaction`

### setCommittables

@Deprecated public void setCommittables(Set<? extends EObject> committables)
Deprecated.

Specified by:
  `setCommittables` in interface `CDOTransaction`
Since:
  4.0

### getCommittables

@Deprecated public Set<? extends EObject> getCommittables()
Deprecated.

Specified by:
  `getCommittables` in interface `CDOTransaction`
Since:
  4.0

### isEmpty

@Deprecated public boolean isEmpty()
Deprecated.

Specified by:
  `isEmpty` in interface `org.eclipse.net4j.util.container.IContainer<CDOResourceNode>`
Since:
  4.2

### getElements

@Deprecated public CDOResourceNode[] getElements()
Deprecated.

Specified by:
  `getElements` in interface `org.eclipse.net4j.util.container.IContainer<CDOResourceNode>`
Since:
  4.2

### toString

@Deprecated public String toString()
Deprecated.

Overrides:
  `toString` in class `Object`

### openScope

@Deprecated public CDOTransactionScope openScope()
Deprecated.
Description copied from interface: `CDOTransaction`
Opens a nested scope inside the current innermost scope, if any.

The scope shares this transaction's view, object identities, object cache, resource set, dirty state, locks, and repository session. Its changes are immediately visible in this transaction. Scope completion does not persist changes; only this root transaction's repository commit does so.

Specified by:
  `openScope` in interface `CDOTransaction`
Returns:
  the newly opened scope.

### getOutermostScope

@Deprecated public CDOTransactionScope getOutermostScope()
Deprecated.
Description copied from interface: `CDOTransaction`
Returns the outermost currently open nested scope, or `null` if no scope is open.

Specified by:
  `getOutermostScope` in interface `CDOTransaction`
Returns:
  the outermost open scope, or `null`.

### getInnermostScope

@Deprecated public CDOTransactionScope getInnermostScope()
Deprecated.
Description copied from interface: `CDOTransaction`
Returns the innermost currently open nested scope, or `null` if no scope is open.

Specified by:
  `getInnermostScope` in interface `CDOTransaction`
Returns:
  the innermost open scope, or `null`.

### getScopes

@Deprecated public List<CDOTransactionScope> getScopes()
Deprecated.
Description copied from interface: `CDOTransaction`
Returns an immutable outermost-to-innermost snapshot of open scopes.

The ordering is the scope completion order: only the last scope in the snapshot can be committed directly.

Specified by:
  `getScopes` in interface `CDOTransaction`
Returns:
  an immutable snapshot of the currently open scopes.

### getAdapter

@Deprecated public Object getAdapter(Class adapter)
Deprecated.

Specified by:
  `getAdapter` in interface `IAdaptable`
Since:
  4.2

### createTempFile

@Deprecated public static File createTempFile(CDOTransaction transaction) throws IOException
Deprecated.

Throws:
  `IOException`